UNIT UI_TEST_Dao_Event_DataChange;

{$mode objfpc}{$H+}

INTERFACE

USES
    Classes
  , Sysutils
  , Forms
  , Controls
  , Graphics
  , Dialogs
  , StdCtrls
  , DBGrids
  , UTST_DataModul
//  , ZConnection
  , DB
  , UTST_cl_DAO
  ;

TYPE

  { Tform1 }

  Tform1 = CLASS ( Tform )
    BTN_Connect: Tbutton;
    BTN_DB_Open: Tbutton;
    DBGrid: Tdbgrid;
    PROCEDURE BTN_ConnectClick ( Sender: Tobject ) ;
    PROCEDURE Btn_db_openclick ( Sender: Tobject ) ;
    PROCEDURE Formactivate ( Sender: Tobject ) ;
    PROCEDURE Formcreate ( Sender: Tobject ) ;
  PRIVATE
    mo_Dao_Master : TCL_DAO;
    mv_DataBase   : String;
    mv_Library    : String;

    PROCEDURE EVTHDL_On_DataChange( Sender : TObject; Field : TField );
  PUBLIC

  END;

VAR
  Form1: Tform1;

IMPLEMENTATION
{$R *.lfm}



PROCEDURE Tform1.Formcreate ( Sender: Tobject ) ;
BEGIN
  mv_DataBase := 'Z:\DataBase\Projects\Test_DB\Test_DB.db';
  mv_Library  := 'Z:\DataBase\SQLite\sqlite3_64.dll';
End;



PROCEDURE Tform1.Formactivate ( Sender: Tobject ) ;
BEGIN
  Datamodule1.CRT_Dao;
  Datamodule1.DB_Connect.Database        := mv_DataBase;
  Datamodule1.DB_Connect.LibraryLocation := mv_Library;

  mo_Dao_Master := Datamodule1.DAO;
  mo_Dao_Master.ON_Data_Change := @EVTHDL_On_DataChange;
  DBGrid.DataSource := mo_Dao_Master.DataSource;
End;



PROCEDURE Tform1.BTN_ConnectClick ( Sender: Tobject ) ;
BEGIN
  Datamodule1.DB_Connect.Connected := NOT Datamodule1.DB_Connect.Connected;
  BTN_DB_Open.Enabled := Datamodule1.DB_Connect.Connected;
End;


PROCEDURE Tform1.Btn_db_openclick ( Sender: Tobject ) ;
BEGIN
  mo_Dao_Master.open;
//  mo_Dao_Master.Open;
End;



PROCEDURE Tform1.EVTHDL_On_DataChange( Sender : TObject; Field : TField );
BEGIN
  showmessage('Tform1.EVTHDL_On_DataChange Hier ist alles OK. Im Original Coding wird diese methode jedoch NICHT gerufen');
END;



END.

