UNIT UTST_DataModul;
{$mode ObjFPC}{$H+}
INTERFACE
USES
    Classes
  , Sysutils
  , DB
  , ZConnection
  , ZDataset
  , UTST_cl_DAO
  ;


TYPE
  Tdatamodule1 = CLASS ( Tdatamodule )
    TDsrc: Tdatasource;
    DB_Connect: Tzconnection;
    Tab: Tztable;
  PRIVATE
    mo_Dao : TCL_DAO;
  PUBLIC
    constructor Create(AOwner: TComponent); override;
    destructor  Destroy; override;
    PROCEDURE   CRT_Dao;

  PUBLIC
    PROPERTY    Dao : TCL_Dao     { für die externe Verwendung }
                READ  mo_Dao;
  END;

VAR
  Datamodule1: Tdatamodule1;



IMPLEMENTATION
{$R *.lfm}

constructor Tdatamodule1.Create(AOwner: TComponent);
BEGIN
  INHERITED Create(AOwner);
END;


destructor Tdatamodule1.Destroy;
BEGIN
  IF Assigned( mo_Dao ) THEN
    FreeAndNil( mo_Dao );

  INHERITED Destroy;
END;


{===================================================================================================
Die Dao Klasse erstellen. Diese Methode wird später separat in "Tform1.Formactivate" gerufen
===================================================================================================}
PROCEDURE Tdatamodule1.CRT_Dao;
BEGIN
  mo_Dao := TCL_DAO.Create( TDsrc, Tab );
END;



END.

